aboutsummaryrefslogtreecommitdiff
path: root/git-repack.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-12-18 17:25:28 -0800
committerJunio C Hamano <junkio@cox.net>2006-12-20 17:22:10 -0800
commit63049292e083faf80e033eba4fa43efdbac3acad (patch)
treedf1f63518f6593934c8961545c90b44d6fe01943 /git-repack.sh
parent55dd55263b6d27aa8daa77bd69f5ea990b66c7a1 (diff)
downloadgit-63049292e083faf80e033eba4fa43efdbac3acad.tar.gz
git-63049292e083faf80e033eba4fa43efdbac3acad.tar.xz
Teach git-repack to preserve objects referred to by reflog entries.
This adds a new option --reflog to pack-objects and revision machinery; do not bother documenting it for now, since this is only useful for local repacking. When the option is passed, objects reachable from reflog entries are marked as interesting while computing the set of objects to pack. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-repack.sh b/git-repack.sh
index 067898f12..375434b1d 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -62,7 +62,7 @@ case ",$all_into_one," in
esac
args="$args $local $quiet $no_reuse_delta$extra"
-name=$(git-pack-objects --non-empty --all $args </dev/null "$PACKTMP") ||
+name=$(git-pack-objects --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
exit 1
if [ -z "$name" ]; then
echo Nothing new to pack.